# $Revision: 1.57 $, $Date: 2009/01/21 19:59:11 $
# TODO:
#	- service is too quiet with PULSEAUDIO_SYSTEM_START=0
#
# Conditional build:
%bcond_without	lirc		# without lirc module
%bcond_without	static_libs	# don't build static libraries
#
Summary:	Modular sound server
Summary(pl.UTF-8):	Modularny serwer dźwięku
Name:		pulseaudio
Version:	0.9.14
Release:	1
License:	GPL v2+ (server and libpulsecore), LGPL v2+ (libpulse)
Group:		Libraries
Source0:	http://0pointer.de/lennart/projects/pulseaudio/%{name}-%{version}.tar.gz
# Source0-md5:	0ed1115222d1d8c64cc14961cccb2eb0
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-suid.patch
Patch1:		%{name}-link.patch
Patch2:		%{name}-path.patch
URL:		http://pulseaudio.org/
BuildRequires:	GConf2-devel >= 2.4.0
BuildRequires:	PolicyKit-devel
BuildRequires:	alsa-lib-devel >= 1.0.0
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	avahi-devel >= 0.6.0
BuildRequires:	bluez-libs-devel >= 3.0
BuildRequires:	dbus-devel >= 1.0.0
BuildRequires:	glib2-devel >= 1:2.4.0
BuildRequires:	gdbm-devel
BuildRequires:	hal-devel >= 0.5.7
BuildRequires:	jack-audio-connection-kit-devel >= 0.100
BuildRequires:	libasyncns-devel >= 0.1
BuildRequires:	libatomic_ops >= 1.2-2
BuildRequires:	libcap-devel
BuildRequires:	libltdl-devel
BuildRequires:	liboil-devel >= 0.3.0
BuildRequires:	libsamplerate-devel >= 0.1.0
BuildRequires:	libsndfile-devel >= 1.0.10
BuildRequires:	libtool
BuildRequires:	libwrap-devel
%{?with_lirc:BuildRequires:	lirc-devel}
BuildRequires:	lynx
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.228
BuildRequires:	speex-devel >= 1:1.2-beta3
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(pre):	fileutils
Requires:	%{name}-libs = %{version}-%{release}
Provides:	group(pulse)
Provides:	group(pulse-access)
Provides:	group(pulse-rt)
Provides:	user(pulse)
Obsoletes:	polypaudio
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PulseAudio (previously known as PolypAudio) is a sound server for
POSIX and Win32 operating systems. It allows you to do advanced
operations on your sound data as it passes between your application
and your hardware. Things like transferring the audio to a different
machine, changing the sample format or channel count and mixing
several sounds into one are easily achieved using a sound server.

%description -l pl.UTF-8
PulseAudio (poprzednio znany jako PolypAudio) to serwer dźwięku dla
systemów operacyjnych zgodnych z POSIX oraz Win32. Pozwala na
wykonywanie zaawansowanych operacji na danych dźwiękowych
przekazywanych między aplikacjami a sprzętem. Przy użyciu tego serwera
można łatwo osiągnąć takie rzeczy jak przesyłanie dźwięku na inną
maszynę, zmiana formatu próbek czy liczby kanałów oraz miksowanie
kilku dźwięków w jeden.

%package libs
Summary:	PulseAudio libraries
Summary(pl.UTF-8):	Biblioteki PulseAudio
Group:		Libraries
Requires:	glib2 >= 1:2.4.0
Requires:	libasyncns >= 0.1
Requires:	libsamplerate >= 0.1.0
Requires:	libsndfile >= 1.0.10
Obsoletes:	polypaudio-libs
Conflicts:	polypaudio < 0.7-4

%description libs
PulseAudio libraries.

%description libs -l pl.UTF-8
Biblioteki PulseAudio.

%package devel
Summary:	Development files for PulseAudio libraries
Summary(pl.UTF-8):	Pliki programistyczne bibliotek PulseAudio
License:	GPL v2+ (libpulsecore), LGPL v2+ (libpulse)
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.4.0
Requires:	libasyncns-devel >= 0.1
Requires:	libatomic_ops >= 1.2-2
Requires:	libcap-devel
Requires:	xorg-lib-libX11-devel
Obsoletes:	polypaudio-devel

%description devel
Development files for PulseAudio libraries.

%description devel -l pl.UTF-8
Pliki programistyczne bibliotek PulseAudio.

%package static
Summary:	Static PulseAudio libraries
Summary(pl.UTF-8):	Statyczne biblioteki PulseAudio
License:	GPL v2+ (libpulsecore), LGPL v2+ (libpulse)
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	polypaudio-static

%description static
Static PulseAudio libraries.

%description static -l pl.UTF-8
Statyczne biblioteki PulseAudio.

%package esound-compat
Summary:	EsounD compatibility start script
Summary(pl.UTF-8):	Skrypt uruchamiający kompatybilny z EsounD
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Conflicts:	esound

%description esound-compat
EsounD compatibility start script, which allows to run pulseaudio
daemon using "esd" command.

NOTE: it ignores all command-line options!

%description esound-compat -l pl.UTF-8
Skrypt uruchamiający kompatybilny z EsounD, pozwalający na
uruchamianie demona pulseaudio przy użyciu polecenia "esd".

UWAGA: ignoruje wszystkie opcje z linii poleceń!

%package alsa
Summary:	ALSA modules for PulseAudio
Summary(pl.UTF-8):	Moduły ALSA dla PulseAudio
License:	GPL v2+
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	alsa-lib >= 1.0.0
Obsoletes:	polypaudio-alsa

%description alsa
ALSA modules for PulseAudio.

%description alsa -l pl.UTF-8
Moduły ALSA dla PulseAudio.

%package bluetooth
Summary:	Bluetooth module for PulseAudio
Summary(pl.UTF-8):	Moduł Bluetooth dla PulseAudio
License:	GPL v2+
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	bluez-libs >= 3.0

%description bluetooth
Bluetooth module for PulseAudio.

%description bluetooth -l pl.UTF-8
Moduł Bluetooth dla PulseAudio.

%package gconf
Summary:	GConf module for PulseAudio
Summary(pl.UTF-8):	Moduł GConf dla PulseAudio
License:	GPL v2+
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	GConf2 >= 2.4.0

%description gconf
GConf adapter for PulseAudio.

%description gconf -l pl.UTF-8
Interfejs do GConfa dla PulseAudio.

%package hal
Summary:	HAL module for PulseAudio
Summary(pl.UTF-8):	Moduł HAL dla PulseAudio
License:	GPL v2+
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	hal-libs >= 0.5.7

%description hal
HAL module for PulseAudio to detect available audio hardware and load
matching drivers.

%description hal -l pl.UTF-8
Moduł HAL dla PulseAudio wykrywający dostępny sprzęt dźwiękowy i
wczytujący pasujące sterowniki.

%package jack
Summary:	JACK modules for PulseAudio
Summary(pl.UTF-8):	Moduły JACK dla PulseAudio
License:	GPL v2+
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	jack-audio-connection-kit >= 0.100
Obsoletes:	polypaudio-jack

%description jack
JACK modules for PulseAudio.

%description jack -l pl.UTF-8
Moduły JACK dla PulseAudio.

%package lirc
Summary:	LIRC module for PulseAudio
Summary(pl.UTF-8):	Moduł LIRC dla PulseAudio
License:	GPL v2+
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	polypaudio-lirc

%description lirc
LIRC module for PulseAudio.

%description lirc -l pl.UTF-8
Moduł LIRC dla PulseAudio.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-ltdl-install=no \
	--with-system-user=pulse \
	--with-system-group=pulse \
	--with-realtime-group=pulse-rt \
	--with-access-group=pulse-access \
	%{!?with_lirc:--disable-lirc} \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/run/pulse

# libsocket-util.so and libipacl.so are relinked before libpulsecore.so
# so __make -jN install leads to "File not found by glob" (or they links
# with libpulsecore installed on builder)
%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf %{_bindir}/esdcompat $RPM_BUILD_ROOT%{_bindir}/esd

# not needed (lt_dlopenext() is used)
rm -f $RPM_BUILD_ROOT%{_libdir}/pulse-*/modules/*.la

install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install -D %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- polypaudio
if [ -f %{_sysconfdir}/polypaudio/daemon.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/pulse/daemon.conf %{_sysconfdir}/pulse/daemon.conf.rpmnew
	mv -f %{_sysconfdir}/polypaudio/daemon.conf.rpmsave %{_sysconfdir}/pulse/daemon.conf
fi
if [ -f %{_sysconfdir}/polypaudio/default.pa.rpmsave ]; then
	mv -f %{_sysconfdir}/pulse/default.pa %{_sysconfdir}/pulse/default.pa.rpmnew
	mv -f %{_sysconfdir}/polypaudio/default.pa.rpmsave %{_sysconfdir}/pulse/default.pa
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%triggerpostun -- polypaudio-libs
if [ -f %{_sysconfdir}/polypaudio/client.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/pulse/client.conf %{_sysconfdir}/pulse/client.conf.rpmnew
	mv -f %{_sysconfdir}/polypaudio/client.conf.rpmsave %{_sysconfdir}/pulse/client.conf
fi

%pre
%groupadd -g 226 pulse
%groupadd -g 227 pulse-rt
%groupadd -g 228 pulse-access
%useradd -u 226 -g 226 -d /var/run/pulse -s /bin/false -c "Pulseaudio user" pulse

%post
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi
%postun
if [ "$1" = "0" ]; then
	%userremove pulse
	%groupremove pulse-access
	%groupremove pulse-rt
	%groupremove pulse
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pulse/daemon.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pulse/default.pa
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pulse/system.pa
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%dir %attr(750,pulse,pulse-access) /var/run/pulse
%{_sysconfdir}/xdg/autostart/pulseaudio.desktop
%attr(755,root,root) %{_bindir}/pabrowse
%attr(755,root,root) %{_bindir}/pacat
%attr(755,root,root) %{_bindir}/pacmd
%attr(755,root,root) %{_bindir}/pactl
%attr(755,root,root) %{_bindir}/padsp
%attr(755,root,root) %{_bindir}/paplay
%attr(755,root,root) %{_bindir}/parec
%attr(755,root,root) %{_bindir}/pasuspender
%attr(755,root,root) %{_bindir}/pax11publish
%attr(755,root,root) %{_bindir}/pulseaudio
%attr(755,root,root) %{_bindir}/start-pulseaudio-x11
%dir %{_libdir}/pulse
%dir %{_libdir}/pulse-*
%dir %{_libdir}/pulse-*/modules
%attr(755,root,root) %{_libdir}/pulse-*/modules/libauth-cookie.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libauthkey.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libavahi-wrap.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libcli.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libdbus-util.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libiochannel.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libioline.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libipacl.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/liboss-util.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libpacket.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libparseaddr.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libpdispatch.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libprotocol-cli.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libprotocol-esound.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libprotocol-http.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libprotocol-native.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libprotocol-simple.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libpstream.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libpstream-util.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/librtp.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libsocket-client.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libsocket-server.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libsocket-util.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libstrlist.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libtagstruct.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libx11prop.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libx11wrap.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-always-sink.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-cli.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-cli-protocol-tcp.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-cli-protocol-unix.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-console-kit.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-combine.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-default-device-restore.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-detect.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-device-restore.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-esound-compat-spawnfd.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-esound-compat-spawnpid.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-esound-protocol-tcp.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-esound-protocol-unix.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-esound-sink.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-http-protocol-tcp.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-http-protocol-unix.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-ladspa-sink.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-match.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-mmkbd-evdev.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-native-protocol-fd.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-native-protocol-tcp.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-native-protocol-unix.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-null-sink.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-oss.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-pipe-sink.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-pipe-source.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-position-event-sounds.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-remap-sink.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-rescue-streams.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-rtp-recv.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-rtp-send.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-simple-protocol-tcp.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-simple-protocol-unix.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-sine.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-stream-restore.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-suspend-on-idle.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-tunnel-sink.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-tunnel-source.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-volume-restore.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-x11-bell.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-x11-publish.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-x11-xsmp.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-zeroconf-discover.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-zeroconf-publish.so
%{_datadir}/PolicyKit/policy/org.pulseaudio.policy
%{_mandir}/man1/pabrowse.1*
%{_mandir}/man1/pacat.1*
%{_mandir}/man1/pacmd.1*
%{_mandir}/man1/pactl.1*
%{_mandir}/man1/padsp.1*
%{_mandir}/man1/paplay.1*
%{_mandir}/man1/pasuspender.1*
%{_mandir}/man1/pax11publish.1*
%{_mandir}/man1/pulseaudio.1*
%{_mandir}/man5/default.pa.5*
%{_mandir}/man5/pulse-client.conf.5*
%{_mandir}/man5/pulse-daemon.conf.5*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpulse.so.*.*.*
%attr(755,root,root) %{_libdir}/libpulse-browse.so.*.*.*
%attr(755,root,root) %{_libdir}/libpulse-mainloop-glib.so.*.*.*
%attr(755,root,root) %{_libdir}/libpulse-simple.so.*.*.*
%attr(755,root,root) %{_libdir}/libpulsecore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpulse.so.0
%attr(755,root,root) %ghost %{_libdir}/libpulse-browse.so.0
%attr(755,root,root) %ghost %{_libdir}/libpulse-mainloop-glib.so.0
%attr(755,root,root) %ghost %{_libdir}/libpulse-simple.so.0
%attr(755,root,root) %ghost %{_libdir}/libpulsecore.so.9
%attr(755,root,root) %{_libdir}/libpulsedsp.so
%dir %{_sysconfdir}/pulse
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pulse/client.conf

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpulse.so
%attr(755,root,root) %{_libdir}/libpulse-browse.so
%attr(755,root,root) %{_libdir}/libpulse-mainloop-glib.so
%attr(755,root,root) %{_libdir}/libpulse-simple.so
%attr(755,root,root) %{_libdir}/libpulsecore.so
%{_libdir}/libpulse.la
%{_libdir}/libpulse-browse.la
%{_libdir}/libpulse-mainloop-glib.la
%{_libdir}/libpulse-simple.la
%{_libdir}/libpulsecore.la
%{_includedir}/pulse
%{_pkgconfigdir}/libpulse.pc
%{_pkgconfigdir}/libpulse-browse.pc
%{_pkgconfigdir}/libpulse-mainloop-glib.pc
%{_pkgconfigdir}/libpulse-simple.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libpulse.a
%{_libdir}/libpulse-browse.a
%{_libdir}/libpulse-mainloop-glib.a
%{_libdir}/libpulse-simple.a
%{_libdir}/libpulsecore.a
%endif

%files esound-compat
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/esd
%attr(755,root,root) %{_bindir}/esdcompat
%{_mandir}/man1/esdcompat.1*

%files alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pulse-*/modules/libalsa-util.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-alsa-sink.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-alsa-source.so

%files bluetooth
%defattr(644,root,root,755)
%attr(4755,root,root) %{_libdir}/pulse/proximity-helper
%attr(755,root,root) %{_libdir}/pulse-*/modules/libbluetooth-ipc.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libbluetooth-sbc.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-bluetooth-device.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-bluetooth-discover.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-bluetooth-proximity.so

%files gconf
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pulse/gconf-helper
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-gconf.so

%files hal
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-hal-detect.so

%files jack
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-jack-sink.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-jack-source.so

%if %{with lirc}
%files lirc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-lirc.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pulseaudio.spec,v $
Revision 1.57  2009/01/21 19:59:11  arekm
- up to 0.9.14

Revision 1.56  2008/11/07 18:33:00  megabajt
- release 2

Revision 1.55  2008/10/18 17:42:52  patrys
- 0.9.13

Revision 1.54  2008/10/14 01:44:57  sls
- BR: speex-devel >= 1:1.2-beta3 (for speexdsp.pc >= 1.2)

Revision 1.53  2008/09/15 20:49:14  qboosh
- (updated) path patch is back (use normalized paths)

Revision 1.52  2008/09/15 19:44:41  qboosh
- order is not random

Revision 1.51  2008/09/14 15:34:16  wolvverine
- up to 0.9.12, STBR

Revision 1.50  2008/09/07 19:14:45  adamg
- release 3 (against libltdl-2.2.6-1)

Revision 1.49  2008/08/31 20:05:32  arekm
- release 2

Revision 1.48  2008/07/24 14:41:17  patrys
- 0.9.11

Revision 1.47  2008/06/14 10:09:09  arekm
- rel 3

Revision 1.46  2008-05-23 13:23:54  pluto
- release 2 for rebuild with new libltdl.

Revision 1.45  2008-04-18 20:49:35  sls
- added TODO

Revision 1.44  2008-04-05 16:26:07  twittner
- rel. 1 - system-wide configuration works

Revision 1.43  2008-04-01 22:46:57  sls
- update name of PolicyKit file
- adapterized

Revision 1.42  2008-04-01 22:36:03  sls
- ver. 0.9.10

Revision 1.41  2008-03-31 15:52:04  twittner
- TODO killed, which means:
  - initscript & sysconfig (copied verbatim from Debian's /etc/default/pulseaudio)
  - pass to configure appropiate user and group names (modeled after Debian's package)
- rel 1.1 because of not tested pulsaudio in system-wide configuration
- consider suid pulseaudio binary, adding `pulse' user to `audio' group

Revision 1.40  2008-02-09 10:41:13  sls
- fixed typo in previous changelog entry

Revision 1.39  2008-02-09 02:10:36  qboosh
- updated to 0.9.9 (fixes CVE-2008-0008)

Revision 1.38  2008-02-04 20:17:47  qboosh
- -devel R: libatomic_ops (because of .la)

Revision 1.37  2008-01-29 20:03:08  hawk
- release 2

Revision 1.36  2007-12-16 16:08:58  sls
- BR: xorg-lib-libSM-devel
- comment about "__make -j1"

Revision 1.35  2007-12-16 10:06:22  qboosh
- updated to 0.9.8
- updated suid patch

Revision 1.34  2007-12-11 19:50:06  sls
- __make -j1 install

Revision 1.33  2007-11-04 13:04:39  qboosh
- separated -esound-compat which C: esound
  (just a dummy stub, running pulseaudio daemon and ignoring all options,
   cannot be general esound replacement)
- GPL/LGPL v2

Revision 1.32  2007/11/02 17:58:14  patrys
- provide esound compatibility wrapper and obsolete esound

Revision 1.31  2007/11/02 17:21:32  patrys
- 0.9.7
- pulsecore no longer shipped in includes
- oss-mmap merged with oss
- added new modules (ladspa, zeroconf-discover, split/remap, session management)

Revision 1.30  2007/09/02 14:03:00  qboosh
- require libatomic_ops with ppc fix

Revision 1.29  2007/08/28 19:46:52  arekm
- rel 2

Revision 1.28  2007/08/18 05:45:52  witekfl
- added bcond_without static_libs

Revision 1.27  2007/05/31 06:33:44  glen
- ac-ppc fails to build :/

Revision 1.26  2007/05/30 21:23:25  qboosh
- sorted BRs

Revision 1.25  2007/05/30 20:12:17  qboosh
- updated 0.9.6 (fixes CVE-2007-1804)
- updated link patch

Revision 1.24  2007/02/24 14:35:08  qrczak
- Simpler building fix: just remove AM_ICONV.

Revision 1.23  2007/02/23 21:55:32  qrczak
- gettextize
- pulseaudio-gettext.patch: use external gettext

Revision 1.22  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.20  2007/01/16 21:40:29  glen
- fix duplicate %descriptions

Revision 1.19  2006/09/16 01:02:26  qboosh
- updated to 0.9.5
- added link,path patches
- separated gconf and hal modules

Revision 1.18  2006/08/26 18:39:16  qboosh
- project Name changed to pulseaudio (following upstream), new URLs
- updated to 0.9.4, updated suid patch; libdir patch obsolete
- added triggers to move config files after upgrade from polypaudio

Revision 1.17  2006/06/03 17:49:40  qboosh
- updated to 0.9.1, updated suid patch
- dropped *.la for modules (no longer needed)

Revision 1.16  2006/05/13 09:59:13  qboosh
- updated to 0.8.1

Revision 1.15  2006/04/23 13:04:20  qboosh
- updated to 0.8, updated suid,libdir patches
- dropped autoreqdep bcond (soname has changed)
- added jack,lirc subpackages

Revision 1.14  2006/03/20 00:27:00  pluto
- libdirs fixed, release 7.

Revision 1.13  2006/02/19 13:38:03  pluto
- release 6.

Revision 1.12  2006/02/18 18:45:16  arekm
- mv ldconfig to -libs

Revision 1.11  2006/02/12 21:48:17  pluto
- xorg modular deps.

Revision 1.10  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.9  2005/04/13 18:21:55  qboosh
- plugins in main package (used by polypaudio daemon),
  client.conf in -libs (used by libpolyp)
- fixed deps

Revision 1.8  2005/04/13 17:34:48  qboosh
- normalize bcond for omitting BC

Revision 1.7  2005/04/13 17:31:05  qboosh
- -libs Conflicts with old base, dropped bogus Obsoletes (broken djurban)

Revision 1.6  2005/04/06 13:53:15  djurban
- separated libs, rel. 4

Revision 1.5  2004/12/27 23:13:20  qboosh
- ugh, added missing defattr; release 3

Revision 1.4  2004/12/21 21:54:11  qboosh
- runtime deps, release 2

Revision 1.3  2004/12/21 21:00:03  qboosh
- disable glib-1.2 lib, more BRs, added -static, separated ALSA stuff
- License is LGPL

Revision 1.2  2004/12/20 20:12:46  qboosh
- pl, cleanups

Revision 1.1  2004/12/17 09:21:01  aredridel
- added
- needs -static
